textures/wonder/sign2
{
	qer_editorimage	textures/wonder/sign2
	polygonOffset
	q3map_nolightmap
    {
        map textures/wonder/sign2
        blendFunc GL_ONE GL_ONE
    }
}

textures/wonder/sign
{
	qer_editorimage	textures/wonder/sign
	polygonOffset
	q3map_nolightmap
    {
        map textures/wonder/sign
        blendFunc GL_ONE GL_ONE
    }
}

textures/wonder/rust_nonsolid
{
	qer_editorimage	textures/wonder/rust
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/wonder/rust
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_10
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.75
	q3map_alphaMod volume
	q3map_alphaMod set 0.1
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_20
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.75
	q3map_alphaMod volume
	q3map_alphaMod set 0.2
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_30
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.75
	q3map_alphaMod volume
	q3map_alphaMod set 0.3
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_50
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.75
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_75
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.75
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow_100
{
	qer_editorimage	textures/wonder/snow
	qer_trans	0.9
	q3map_alphaMod volume
	q3map_alphaMod set 1
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snow
{
	qer_editorimage	textures/wonder/snow
	q3map_material	Snow
    {
        map $lightmap
    }
    {
        map textures/wonder/snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/ice
{
	qer_editorimage	textures/wonder/ice
	qer_trans	0.7
	surfaceparm	slick
	q3map_material	Snow
	q3map_nolightmap
    {
        map $lightmap
    }
    {
        map textures/wonder/ice
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.100000 0.100000 0.100000 )
        tcGen environment
    }
    {
        map textures/byss/env_large_floor
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.300000 0.300000 0.300000 )
        tcGen environment
    }
}

textures/wonder/sky
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	skyParms	textures/wonder/sky/wonder 512 -
}

textures/wonder/light_3
{
	qer_editorimage	textures/wonder/white
	qer_trans	0.7
	surfaceparm	nonsolid
	q3map_nolightmap
    {
        map textures/wonder/white
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.630000 0.630000 0.630000 )
    }
}

textures/wonder/light_2
{
	qer_editorimage	textures/wonder/white
	qer_trans	0.7
	surfaceparm	nonsolid
	q3map_nolightmap
    {
        map textures/wonder/white
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.630000 0.630000 0.630000 )
    }
}

textures/wonder/light_1
{
	qer_editorimage	textures/wonder/white
	qer_trans	0.7
	surfaceparm	nonsolid
	q3map_nolightmap
    {
        map textures/wonder/white
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.630000 0.630000 0.630000 )
    }
}

textures/wonder/flare
{
	qer_editorimage	textures/wonder/flare
	surfaceparm	nonsolid
	q3map_nolightmap
	deformvertexes	autoSprite	
    {
        map textures/wonder/flare
        blendFunc GL_ONE GL_ONE
        rgbGen wave square 0.95 0.05 0 20
    }
}

textures/wonder/glass
{
	qer_editorimage	textures/common/etest4
	qer_trans	0.6
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
	q3map_notjunc
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.050000 0.050000 0.050000 )
        tcMod scale 0.2 0.2
    }
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.400000 0.400000 0.400000 )
        tcGen environment
    }
}

textures/wonder/light_trim
{
	qer_editorimage	textures/factory/outside_wall
    {
        map $lightmap
    }
    {
        map textures/factory/outside_wall
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen const ( 0.200000 0.200000 0.200000 )
    }
}

textures/wonder/marble
{
	qer_editorimage	textures/wonder/marble2
    {
        map $lightmap
        rgbGen const ( 0.150000 0.150000 0.150000 )
    }
    {
        map textures/wonder/marble
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/wonder/marble2
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.100000 0.100000 0.100000 )
    }
    {
        map textures/wonder/marble2
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.050000 0.050000 0.050000 )
        tcGen environment
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.250000 0.250000 0.250000 )
    }
}

textures/wonder/rust_chain
{
	qer_editorimage	textures/wonder/rust_chain
	surfaceparm	metalsteps
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
    {
        map textures/wonder/rust_chain
        alphaFunc GE192
        depthWrite
        rgbGen const ( 0.200000 0.200000 0.200000 )
        alphaGen blend
    }
}

textures/wonder/grating
{
	qer_editorimage	textures/wonder/square_grating
	qer_trans	0.5
	surfaceparm	metalsteps
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
    {
        map textures/wonder/square_grating
        alphaFunc GE192
        depthWrite
        rgbGen const ( 0.300000 0.300000 0.300000 )
        alphaGen blend
    }
}

textures/wonder/mine_water
{
	qer_editorimage	textures/parabolic/fx/cloud_1
	surfaceparm	nomarks
	surfaceparm	water
	q3map_nolightmap
	cull	twosided
    {
        map $whiteimage
        rgbGen const ( 0.290000 0.290000 0.290000 )
    }
    {
        map textures/parabolic/fx/cloud_1
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.100000 0.100000 0.100000 )
        tcMod scroll 0.0137 0.008
    }
    {
        map textures/parabolic/fx/cloud_2
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.100000 0.100000 0.100000 )
        tcMod scroll 0.01 0.002
        tcMod turb 0.5 0.1 0 0.05
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/yellow_flare
{
	qer_editorimage	textures/wonder/yellow_flare
	surfaceparm	nonsolid
	q3map_nolightmap
	deformvertexes	autoSprite	
    {
        map textures/wonder/yellow_flare
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0.9 0.1 0 6
    }
}

textures/wonder/mine_fog_white
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	qer_trans	0.5
	surfaceparm	nodraw
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.62 0.62 0.62 ) 12000.0
	cull	twosided
}

textures/wonder/mine_fog
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	qer_trans	0.5
	surfaceparm	nodraw
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.175 0.18 0.2 ) 15800.0
	cull	twosided
}

textures/wonder/snow_fall
{
	qer_editorimage	textures/wonder/snowflake_1
    {
        map textures/wonder/snowflake_1
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -2
        tcMod turb 0 0.02 0.5 0.2
    }
    {
        map textures/wonder/snowflake_2
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -2
        tcMod turb 0 0.02 0 0.2
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/wonder/snowflake_3
{
	qer_editorimage	textures/wonder/snowflake_3
	nopicmip
	nomipmaps
	wrapClampMode 1
	q3map_nolightmap
	q3map_globaltexture
    {
        map textures/wonder/snowflake_3
        blendFunc GL_ONE GL_ONE
    }
}

